pkgsrc-WIP-discuss archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Mesa status ?


On Tue, May 22, 2012 at 10:13:36AM +0200, iMil wrote:
> >It's not directly related but the last version of the intel driver needs
> >a more recent version of modular-xorg-server, which itself depends on
> >x11/xproto.
> - From what I've read and tested, the problem with the intel driver > 1.6.7
> is that they dropped XAA/EXA support in favor of UXA which needs GEM/KMS.
> As long as we (NetBSD) do not have KMS yet, that one cannot be upgraded.

My intent is not to upgrade the intel driver itself right now (this will
probably not be possible before a few years anyway), but have all the
dependencies necessary to try to run it and hack on it without needing
other package changes.
This is perfectly possible without breaking anything in the existing
modular-xorg environment.

> >Any pkgsrc committer willing to update graphics/Mesa* ?
> Well I can try, but as I said, I'm really not a Mesa/Xorg/drm expert, my
> approach will be very naive.

Oh, I merely thought about moving the existing wip Mesa-7.8 packages to
pkgsrc here. They work perfectly as-is :)

> I wanted to start the work and was afraid of the drawbacks regarding
> DragonFly, but as long as you're also involved in this, it's a lot less
> stressing :)

I plan to import new Mesa-8.x packages in wip/ once the 7.8 ones have been
moved to pkgsrc ;)

Francois Tigeot

Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
pkgsrc-wip-discuss mailing list

Home | Main Index | Thread Index | Old Index